From c7730e38d2f55ba94158ad06bbdbf71ce3b9dcc3 Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Mon, 31 Aug 2020 18:45:37 +0800
Subject: [PATCH 44/69] ath11k: remove scan wmi for "ath11k: fix for accepting
 bcast presp in GHz scan "

---
 drivers/net/wireless/ath/ath11k/wmi.c | 30 ---------------------------
 1 file changed, 30 deletions(-)

diff --git a/drivers/net/wireless/ath/ath11k/wmi.c b/drivers/net/wireless/ath/ath11k/wmi.c
index 81e899e0c4c4..7fa3930eb0c0 100644
--- a/drivers/net/wireless/ath/ath11k/wmi.c
+++ b/drivers/net/wireless/ath/ath11k/wmi.c
@@ -2189,36 +2189,6 @@ int ath11k_wmi_send_scan_start_cmd(struct ath11k *ar,
 
 	ptr += extraie_len_with_pad;
 
-	len = params->ie_whitelist.num_vendor_oui * sizeof(struct wmi_vendor_oui);
-	tlv = ptr;
-	tlv->header = FIELD_PREP(WMI_TLV_TAG, WMI_TAG_ARRAY_STRUCT) |
-		      FIELD_PREP(WMI_TLV_LEN, len);
-	ptr += TLV_HDR_SIZE;
-
-	if (params->scan_f_en_ie_whitelist_in_probe) {
-		/* TODO: fill vendor OUIs for probe req ie whitelisting */
-		/* currently added for FW TLV validation */
-	}
-
-	ptr += cmd->num_vendor_oui * sizeof(struct wmi_vendor_oui);
-
-	len = phymode_roundup;
-	tlv = ptr;
-	tlv->header = FIELD_PREP(WMI_TLV_TAG, WMI_TAG_ARRAY_BYTE) |
-		      FIELD_PREP(WMI_TLV_LEN, len);
-	ptr += TLV_HDR_SIZE;
-
-	/* Wide Band Scan */
-	if (params->scan_f_wide_band) {
-		phy_ptr = ptr;
-		/* Add PHY mode TLV for wide band scan with phymode + 1 value
-		 * so that phymode '0' is ignored by FW as default value.
-		 */
-		for (i = 0; i < params->chan_list.num_chan; ++i)
-			phy_ptr[i] = params->chan_list.chan[i].phymode + 1;
-	}
-	ptr += phymode_roundup;
-
 	if (params->num_hint_s_ssid) {
 		len = params->num_hint_s_ssid * sizeof(struct hint_short_ssid);
 		tlv = ptr;
-- 
2.25.1

